Loading...
Searching...
No Matches
abis_om_fom_hdr Struct Reference
A-bis OML

OML FOM header. More...

`#include <gsm_12_21.h>`

## Data Fields

uint8_t | msg_type
| Message Type (abis_nm_msgtype)
uint8_t | obj_class
| Object Class (abis_nm_obj_class)
struct abis_om_obj_inst | obj_inst
| Object Instance.
uint8_t | data [0]
| Data.

## Detailed Description

OML FOM header.

## Field Documentation

## data

uint8_t abis_om_fom_hdr::data[0]

Data.

## msg_type

uint8_t abis_om_fom_hdr::msg_type

Message Type (abis_nm_msgtype)

## obj_class

uint8_t abis_om_fom_hdr::obj_class

Object Class (abis_nm_obj_class)

Referenced by abis_nm_dump_foh_buf().

## obj_inst

struct abis_om_obj_inst abis_om_fom_hdr::obj_inst

Object Instance.

Referenced by abis_nm_dump_foh_buf().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_12_21.h